import { createApp, watch } from 'vue';
import './style.css';
import App from './App.vue';
import { router } from './router'
import { store } from './store';
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/reset.css';
import CommonLeftSider from '@/components/common/left-sider.vue';

import { routesModuleList } from '@/router/dynamic';
import { routesManageModuleList } from '@/router/manageDynamic';
router.beforeEach((to, from, next) => {
	document.title = `菊城人才市场后台管理`;
	if (sessionStorage.getItem('token')) {
		if (to.matched.length > 0 && !to.matched.some(record => record.meta.requiresAuth)) {
			next()
		} else {
			next({
				path: '/job/home'
			})
		}
	} else {
		console.log(store.state.permissions.permissionList)
		if (store.state.permissions.permissionList == null) {
			store.dispatch('permissions/FETCH_PERMISSION').then(() => {
				next({
					path: to.path
				})
			})
		} else {
			next()
		}
	}
})

const app = createApp(App);
app.component('common-left-sider', CommonLeftSider);
app.use(router);
app.use(store);
app.use(Antd);
app.mount('#app');